<?php

App::uses('AppComponent', 'Controller/Component');

class CodeRestrictionsComponent extends AppComponent {

	/**
	 * run the form injection
	 * For custom fields this add type / validation arrays to the template for fields
	 *
	 * @param   array $data    Data from $this->request->data
	 * @param   object $Model  Model Object for the primary model we are dealing with
	 * @param   int|null $id   The ID if on edit or null of add
	 */
	public function injectAdminForm($data, $Model, $id) {
		$restrictTo = Configure::read('EvDiscount.restrictTo');

		if (! empty($restrictTo)) {

			$restrictions = [];
			foreach ($restrictTo as $model) {
				$Model = EvClassRegistry::init($model);
				$restrictions[$model]['model'] = $model;
				$restrictions[$model]['label'] = $Model->alias;
				$restrictions[$model]['data'] = $Model->find('list');
			}

			$this->_controller->set('restrictions', $restrictions);
		}
	}
}
